## org.apache.bcel.verifier.statics
Class LocalVariablesInfo

    java.lang.Object
      org.apache.bcel.verifier.statics.LocalVariablesInfo

    public class LocalVariablesInfo

extends Object

A utility class holding the information about the names and the types of the local variables in a given method.

Version:
  $Id: LocalVariablesInfo.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`void` `add(int slot, String name, int startpc, int length, Type t)` Adds information about the local variable in slot 'slot'.
`LocalVariableInfo` `getLocalVariableInfo(int slot)` Returns the LocalVariableInfo for the given slot.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLocalVariableInfo

    public LocalVariableInfo getLocalVariableInfo(int slot)

  Returns the LocalVariableInfo for the given slot.

### add

    public void add(int slot,
                    String name,
                    int startpc,
                    int length,
                    Type t)
             throws LocalVariableInfoInconsistentException

  Adds information about the local variable in slot 'slot'. Automatically adds information for slot+1 if 't' is Type.LONG or Type.DOUBLE.

  Throws:
    `LocalVariableInfoInconsistentException` - if the new information conflicts with already gathered information.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.